Package org.apache.qpid.proton.amqp

# Class UnsignedShort

java.lang.Object
java.lang.Number
org.apache.qpid.proton.amqp.UnsignedShort

All Implemented Interfaces:
  `Serializable`, `Comparable<UnsignedShort>`

public final class UnsignedShort extends Number implements Comparable<UnsignedShort>

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final UnsignedShort`
`MAX_VALUE`

## Constructor Summary

Constructors
Constructor
Description
`UnsignedShort(short underlying)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(UnsignedShort o)`
`double`
`doubleValue()`
`boolean`
`equals(Object o)`
`float`
`floatValue()`
`int`
`hashCode()`
`int`
`intValue()`
`long`
`longValue()`
`short`
`shortValue()`
`String`
`toString()`
`static UnsignedShort`
`valueOf(short underlying)`
`static UnsignedShort`
`valueOf(String value)`

### Methods inherited from class java.lang.Number

`byteValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### MAX_VALUE

public static final UnsignedShort MAX_VALUE

## Constructor Details

### UnsignedShort

public UnsignedShort(short underlying)

## Method Details

### shortValue

public short shortValue()

Overrides:
  `shortValue` in class `Number`

### intValue

public int intValue()

Specified by:
  `intValue` in class `Number`

### longValue

public long longValue()

Specified by:
  `longValue` in class `Number`

### floatValue

public float floatValue()

Specified by:
  `floatValue` in class `Number`

### doubleValue

public double doubleValue()

Specified by:
  `doubleValue` in class `Number`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### compareTo

public int compareTo(UnsignedShort o)

Specified by:
  `compareTo` in interface `Comparable<UnsignedShort>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### valueOf

public static UnsignedShort valueOf(short underlying)

### valueOf

public static UnsignedShort valueOf(String value)